Bug 489001 - carod rejects non-Vanilla work
carod rejects non-Vanilla work
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Robert Rati
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 12:18 EST by Matthew Farrellee
Modified: 2009-04-21 12:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:17:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0434 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.1.1 2009-04-21 12:15:50 EDT

  None (edit)
Description Matthew Farrellee 2009-03-06 12:18:46 EST
condor-low-latency-1.0-10.el5
condor-job-hooks-common-1.0-5.el5

There is an artificial limitation in carod that rejects non-Vanilla Universe, non-JobUniverse=5, work...

From carod:

      elif job_data.has_key('JobUniverse') == True and \
           job_data['JobUniverse'] != 5:
         print "...ERROR: JobUniverse != 5..."
         # Received a request for a job on a universe other than Vanilla(5).
         # Send a reply message indicating this message can't be run
         err_msg = 'ERROR: Work Request wants unsupported universe (%s).  Disca\
rding' % str(job_data['JobUniverse'])
         msg_props = msg.get('message_properties')
         reply.data = ''
         send_AMQP_msg(broker_connection, msg, msg_props, err_msg)
         broker_connection.message_accept(RangedSet(msg.id))
         req_socket.send(pickle.dumps(reply, 2))
         close_socket(req_socket)
         raise general_exception(syslog.LOG_ERR, err_msg)

It needs to be removed.
Comment 1 Robert Rati 2009-03-06 15:02:52 EST
Removed restriction on only vanilla universe jobs.  Universe is no longer checked at all.

Fixed in:
condor-low-latency-1.0-11
Comment 3 Martin Kudlej 2009-03-25 11:06:03 EDT
Tested on RHEL 4.7 and 5.3 with MRG 1.1 (condor-low-latency <1.0.11) and it didn't work.
Tested on RHEL 4.7 and 5.3 with condor-low-latency 1.0-12.* with "JobUniverse = Local (12)" and it works.

--> VERIFIED
Comment 5 errata-xmlrpc 2009-04-21 12:17:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.